- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinWarmStartVector< T > Class Template Reference

WarmStart information that is only a vector. More...

`#include <CoinWarmStartVector.hpp>`

Inheritance diagram for CoinWarmStartVector< T >:

[legend]
Collaboration diagram for CoinWarmStartVector< T >:

[legend]
List of all members.

## Public Member Functions
int | size () const
| return the size of the vector
const T * | values () const
| return a pointer to the array of vectors
void | assignVector (int size, T *&vec)
| Assign the vector to be the warmstart information.
| CoinWarmStartVector ()
| CoinWarmStartVector (int size, const T *vec)
| CoinWarmStartVector (const CoinWarmStartVector &rhs)
CoinWarmStartVector & | operator= (const CoinWarmStartVector &rhs)
void | swap (CoinWarmStartVector &rhs)
virtual CoinWarmStart * | clone () const
| `Virtual constructor'
virtual | ~CoinWarmStartVector ()
void | clear ()
| Clear the data.
Vector warm start `diff' methods
virtual CoinWarmStartDiff * | generateDiff (const CoinWarmStart *const oldCWS) const
| Generate a `diff' that can convert the warm start passed as a parameter to the warm start specified by `this`.
virtual void | applyDiff (const CoinWarmStartDiff *const cwsdDiff)
| Apply `diff` to this warm start.
## Protected Member Functions
void | gutsOfDestructor ()
void | gutsOfCopy (const CoinWarmStartVector< T > &rhs)
## Private Attributes
Private data members
int | size_
| the size of the vector
T * | values_
| the vector itself

## Detailed Description

### template<typename T>
class CoinWarmStartVector< T >

WarmStart information that is only a vector.

Definition at line 24 of file CoinWarmStartVector.hpp.

## Constructor & Destructor Documentation

template<typename T>

CoinWarmStartVector< T >::CoinWarmStartVector | ( |  | ) | `[inline]`

Definition at line 52 of file CoinWarmStartVector.hpp.

Referenced by CoinWarmStartVector< U >::clone().

template<typename T>

CoinWarmStartVector< T >::CoinWarmStartVector | ( | int | size,
|  | const T * | vec |
| ) |  |  | `[inline]`

Definition at line 54 of file CoinWarmStartVector.hpp.

template<typename T>

CoinWarmStartVector< T >::CoinWarmStartVector | ( | const CoinWarmStartVector< T > & | rhs | ) | `[inline]`

Definition at line 59 of file CoinWarmStartVector.hpp.

template<typename T>

virtual CoinWarmStartVector< T >::~CoinWarmStartVector | ( |  | ) | `[inline, virtual]`

Definition at line 83 of file CoinWarmStartVector.hpp.

## Member Function Documentation

template<typename T>

void CoinWarmStartVector< T >::gutsOfDestructor | ( |  | ) | `[inline, protected]`

Definition at line 27 of file CoinWarmStartVector.hpp.

Referenced by CoinWarmStartVector< U >::operator=(), and CoinWarmStartVector< U >::~CoinWarmStartVector().

template<typename T>

void CoinWarmStartVector< T >::gutsOfCopy | ( | const CoinWarmStartVector< T > & | rhs | ) | `[inline, protected]`

Definition at line 30 of file CoinWarmStartVector.hpp.

Referenced by CoinWarmStartVector< U >::CoinWarmStartVector(), and CoinWarmStartVector< U >::operator=().

template<typename T>

int CoinWarmStartVector< T >::size | ( |  | ) | const`[inline]`

return the size of the vector

Definition at line 38 of file CoinWarmStartVector.hpp.

Referenced by CoinWarmStartPrimalDual::dualSize(), CoinWarmStartVector< T >::generateDiff(), CoinWarmStartPrimalDual::primalSize(), CoinWarmStartDual::size(), and CoinWarmStartVectorPair< T, U >::size1().

template<typename T>

const T* CoinWarmStartVector< T >::values | ( |  | ) | const`[inline]`

return a pointer to the array of vectors

Definition at line 40 of file CoinWarmStartVector.hpp.

Referenced by CoinWarmStartPrimalDual::dual(), CoinWarmStartDual::dual(), CoinWarmStartVector< T >::generateDiff(), CoinWarmStartPrimalDual::primal(), and CoinWarmStartVectorPair< T, U >::values1().

template<typename T>

void CoinWarmStartVector< T >::assignVector | ( | int | size,
|  | T *& | vec |
| ) |  |  | `[inline]`

Assign the vector to be the warmstart information.

In this method the object assumes ownership of the pointer and upon return vector will be a NULL pointer. If copying is desirable use the constructor.

Definition at line 45 of file CoinWarmStartVector.hpp.

Referenced by CoinWarmStartPrimalDual::assign(), CoinWarmStartDual::assignDual(), and CoinWarmStartVectorPair< T, U >::assignVector1().

template<typename T>

CoinWarmStartVector& CoinWarmStartVector< T >::operator= | ( | const CoinWarmStartVector< T > & | rhs | ) | `[inline]`

Definition at line 63 of file CoinWarmStartVector.hpp.

template<typename T>

void CoinWarmStartVector< T >::swap | ( | CoinWarmStartVector< T > & | rhs | ) | `[inline]`

Definition at line 71 of file CoinWarmStartVector.hpp.

Referenced by CoinWarmStartVectorPair< T, U >::swap(), and CoinWarmStartPrimalDual::swap().

template<typename T>

virtual CoinWarmStart* CoinWarmStartVector< T >::clone | ( |  | ) | const`[inline, virtual]`

`Virtual constructor'

Implements CoinWarmStart.

Definition at line 79 of file CoinWarmStartVector.hpp.

template<typename T>

void CoinWarmStartVector< T >::clear | ( |  | ) | `[inline]`

Clear the data.

Make it appear as if the warmstart was just created using the default constructor.

Definition at line 92 of file CoinWarmStartVector.hpp.

Referenced by CoinWarmStartVectorPair< T, U >::clear(), and CoinWarmStartPrimalDual::clear().

template<typename T>

CoinWarmStartDiff * CoinWarmStartVector< T >::generateDiff | ( | const CoinWarmStart *const | oldCWS | ) | const`[virtual]`

Generate a `diff' that can convert the warm start passed as a parameter to the warm start specified by `this`.

The capabilities are limited: the basis passed as a parameter can be no larger than the basis pointed to by `this`.

Reimplemented from CoinWarmStart.

Definition at line 330 of file CoinWarmStartVector.hpp.

References CoinWarmStartVector< T >::size(), and CoinWarmStartVector< T >::values().

template<typename T>

void CoinWarmStartVector< T >::applyDiff | ( | const CoinWarmStartDiff *const | cwsdDiff | ) | `[virtual]`

Apply `diff` to this warm start.

Update this warm start by applying `diff`. It's assumed that the allocated capacity of the warm start is sufficiently large.

Reimplemented from CoinWarmStart.

Definition at line 394 of file CoinWarmStartVector.hpp.

References CoinWarmStartVectorDiff< T >::diffNdxs_, CoinWarmStartVectorDiff< T >::diffVals_, CoinWarmStartVectorDiff< T >::sze_, and CoinWarmStartVector< T >::values_.

## Member Data Documentation

template<typename T>

int CoinWarmStartVector< T >::size_`[private]`

the size of the vector

Definition at line 125 of file CoinWarmStartVector.hpp.

Referenced by CoinWarmStartVector< U >::assignVector(), CoinWarmStartVector< U >::clear(), CoinWarmStartVector< U >::gutsOfCopy(), CoinWarmStartVector< U >::size(), and CoinWarmStartVector< U >::swap().

template<typename T>

T* CoinWarmStartVector< T >::values_`[private]`

the vector itself

Definition at line 127 of file CoinWarmStartVector.hpp.

Referenced by CoinWarmStartVector< T >::applyDiff(), CoinWarmStartVector< U >::assignVector(), CoinWarmStartVector< U >::clear(), CoinWarmStartVector< U >::CoinWarmStartVector(), CoinWarmStartVector< U >::gutsOfCopy(), CoinWarmStartVector< U >::gutsOfDestructor(), CoinWarmStartVector< U >::swap(), and CoinWarmStartVector< U >::values().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/CoinUtils/src/CoinWarmStartVector.hpp